#!/bin/bash

printf "\nPackaging the following files into DANTE:\n\n"

tar cvf dante.tar \
    loop-driver.ksh \
    front-end.bash \
    base-field.bc \
    norm.bc \
    polynomial.bc \
    discriminant.bc \
    auto-gen.bash \
    gen-qf.bash | sed -e 's/^/    /'

{
echo "#!/bin/bash"
echo
echo 'dir=$PWD'
echo 'tmpdir=/tmp/dante.$$'
echo 'mkdir $tmpdir'
echo 'for arg; do [[ -e $arg ]] && cp $arg $tmpdir; done'
echo 'cd $tmpdir'
echo "uudecode <<'EOF'"
uuencode dante.tar dante_exec.tar
echo 'EOF'
echo 'tar xf dante_exec.tar'
echo 'rm dante_exec.tar'
echo './loop-driver.ksh $*'
echo 'status=$?'
echo 'cd $dir'
echo 'rm -rf $tmpdir'
echo 'exit $status'
} > dante

rm -f dante.tar

chmod 755 dante

printf "\nDANTE has been successfully built.\n\n"
